import { j as e } from "../../node_modules/react/jsx-runtime.js";
import { Link as o } from "../Link/index.js";
import { cn as i } from "../../utils/index.js";
import { Icon as m } from "../Icon/index.js";
function c({ className: t, ...r }) {
  return /* @__PURE__ */ e.jsx(e.Fragment, { children: /* @__PURE__ */ e.jsx(
    "nav",
    {
      className: i(
        "px-4 py-2 flex-col border-r border-divider-medium min-w-[300px] flew-grow hidden lg:flex",
        t
      ),
      ...r
    }
  ) });
}
function f({
  className: t,
  active: r,
  children: n,
  ...a
}) {
  return /* @__PURE__ */ e.jsx(
    o,
    {
      className: i(
        "p-4 flex flex-row gap-3 text-sm items-center",
        r ? "text-interaction-main-default" : "text-content-primary",
        t
      ),
      ...a,
      children: n
    }
  );
}
function p({ className: t, ...r }) {
  return /* @__PURE__ */ e.jsx(
    "h3",
    {
      className: i(
        "p-4 flex flex-row gap-3 text-content-primary uppercase font-medium",
        t
      ),
      ...r
    }
  );
}
function u({
  className: t,
  children: r,
  ...n
}) {
  return /* @__PURE__ */ e.jsxs(
    "div",
    {
      className: i("p-4 flex flex-row items-center gap-3 text-sm", t),
      children: [
        /* @__PURE__ */ e.jsx(m, { name: "chevron-left" }),
        /* @__PURE__ */ e.jsx(o, { ...n, children: r })
      ]
    }
  );
}
function v({
  className: t,
  children: r,
  ...n
}) {
  return /* @__PURE__ */ e.jsx(
    "div",
    {
      className: i("border-b border-b-divider-medium", t),
      ...n,
      children: /* @__PURE__ */ e.jsx("div", { className: "mt-12 mb-6 grid-container in-side-nav flex lg:flex-row flex-col lg:items-center lg:justify-between gap-3 font-medium lg:px-0 px-6", children: r })
    }
  );
}
export {
  c as SideNav,
  u as SideNavBackButton,
  f as SideNavButton,
  v as SideNavContentLayoutHeader,
  p as SideNavHeader
};
